For the complete documentation index, see llms.txt. This page is also available as Markdown.

Setting up the test plan

PUT /test/plan

Once the test plan is ready and you're good to go forward with it, it is time to let momentum set it up for execution.

Headers

Name
Value

Content-Type

application/json

Authorization

Bearer <token>

Body

Name
Type
Description

plan

Object of arrays, containing happy_path and edge_cases

The plans generated in the last step

project_id

number

The project id generated during parsing of the code

identifier

string

The id that points to the specific endpoint you want to set test plan for, ex : /server.py:search

Response

null //empty response with 200 success code indicating the test plan has been set up
{  // Usually happens with invalid parameters
    "status_code": 400,
    "detail": "Project Details not found." 
}

Last updated